package com.yihu.hos.resource.service;

import com.yihu.hos.web.framework.model.DataGridResult;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.resource.model.RsResourceRest;
import com.yihu.hos.resource.model.RsResourceRestDetail;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/30.
 */
public interface IRsResourceRestService {
    DataGridResult getResourceRestDetilList(Map<String, Object> conditionMap, Integer page, Integer rows) throws Exception;

    DataGridResult getResourceRestList(Map<String, Object> conditionMap, Integer page, Integer rows) throws Exception;

    RsResourceRest getResourceRestById(String id) throws Exception;

    RsResourceRestDetail getResourceRestDetail(String id) throws Exception;

    Result deleteResourceRestById(String id) throws Exception;

    Result deleteResourceRestDetail(String id) throws Exception;

    Result addResourceRest(RsResourceRest rr)throws Exception;

    Result updateResourceRest(RsResourceRest rr)throws Exception;

    Result addResourceRestDetail(RsResourceRestDetail rrd)throws Exception;

    Result updateResourceRestDetail(RsResourceRestDetail rrd)throws Exception;

    RsResourceRestDetail getResourceRestDetailByCode(String code)throws Exception;
}
